Name: faad
Version: 2.0
Release: alt1

Summary: FAAD is a Freeware Advanced Audio Decoder
License: GPL
Group: Sound
Url: http://www.audiocoding.com

Source: http://prdownloads.sourceforge.net/faac/%{name}2-%version.tar.gz

%define libsndfile_ver 1.0.5

Requires: lib%name = %version-%release

BuildPreReq: libsndfile >= %libsndfile_ver

# Automatically added by buildreq on Wed Dec 24 2003
BuildRequires: XFree86-devel gcc-c++ gcc-g77 glib-devel gtk+-devel id3lib-devel libstdc++-devel libxmms-devel zlib-devel

%description
FAAD is a LC, MAIN and LTP profile MPEG2 and MPEG-4 AAC decoder.

%package -n lib%name
Summary: Freeware Advanced Audio Decoder (FAAD) libraries
Group: System/Libraries
Provides: libmp4v2

%description -n lib%name
This package contains Freeware Advanced Audio Decoder (FAAD) shared
libraries.

%package -n lib%name-devel
Summary: Development files for the FAAD AAC decoder libraries
Group: Development/C++
Provides: libmp4v2-devel
Requires: lib%name = %version-%release
Requires: libsndfile-devel >= %libsndfile_ver

%description -n lib%name-devel
This package provides header files development libraries and
documentation for lib%name.

%package -n xmms-input-faad
Summary: FAAD input plugin for XMMS
Group: Sound
Requires: lib%name = %version-%release
Requires: xmms

%description -n xmms-input-faad
This package provides input plugin allowing XMMS to read .aac and .mp4
files.

%prep
%setup -q -n %{name}2

find ./ -type f -name "Makefile*" -print0 | \
xargs -r0 %__subst 's,^\(CFLAGS\),AM_\1,g
		    s,^\(LDFLAGS\),AM_\1,g
		    s,^[[:blank:]*],\t,' --

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%build
#%_buildshell ./bootstrap
autoreconf -isfv
%configure --disable-static \
	    --with-drm \
	    --with-xmms

%make_build

%install
%make_install DESTDIR=%buildroot install

# ugly hacks to fix headers
%__install -pD -m644 common/mp4v2/systems.h %buildroot%_includedir/mp4/systems.h
%__install -m644 config.h %buildroot%_includedir/mp4/config.h
%__mv %buildroot%_includedir/mp*.h %buildroot%_includedir/mp4/
%__subst 's,\(systems.h\|config.h\),mp4/\1,' %buildroot%_includedir/mp4/*.h

# mp4 docs
%__mkdir mp4v2-doc
%__cp common/mp4v2/{COPYING,API_CHANGES,INTERNALS,TODO} mp4v2-doc/

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
#%_man1dir/*

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO
%doc mp4v2-doc

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%files -n xmms-input-faad
%_xmms_input_plugin_dir/*
%doc plugins/xmms/{AUTHORS,ChangeLog,NEWS,README,TODO}

%changelog
* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1
- 2.0 release.

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.7rc3
- install more headers so that libfaad{,-devel} will provide
  libmp4v2{,-devel}.

* Mon Dec 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.6rc3
- do not package .la files.

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.5rc3
- 2.0rc3.

* Sat Jun 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- First build for Sisyphus.

